Skip to content
geeksforgeeks
  • Courses
    • DSA to Development
    • Get IBM Certification
    • Newly Launched!
      • Master Django Framework
      • Become AWS Certified
    • For Working Professionals
      • Interview 101: DSA & System Design
      • Data Science Training Program
      • JAVA Backend Development (Live)
      • DevOps Engineering (LIVE)
      • Data Structures & Algorithms in Python
    • For Students
      • Placement Preparation Course
      • Data Science (Live)
      • Data Structure & Algorithm-Self Paced (C++/JAVA)
      • Master Competitive Programming (Live)
      • Full Stack Development with React & Node JS (Live)
    • Full Stack Development
    • Data Science Program
    • All Courses
  • Tutorials
    • Data Structures & Algorithms
    • ML & Data Science
    • Interview Corner
    • Programming Languages
    • Web Development
    • CS Subjects
    • DevOps And Linux
    • School Learning
  • Practice
    • Build your AI Agent
    • GfG 160
    • Problem of the Day
    • Practice Coding Problems
    • GfG SDE Sheet
  • Contests
    • Accenture Hackathon (Ending Soon!)
    • GfG Weekly [Rated Contest]
    • Job-A-Thon Hiring Challenge
    • All Contests and Events
  • DSA
  • Interview Problems on Hash
  • Practice Hash
  • MCQs on Hash
  • Hashing Tutorial
  • Hash Function
  • Index Mapping
  • Collision Resolution
  • Open Addressing
  • Separate Chaining
  • Quadratic probing
  • Double Hashing
  • Load Factor and Rehashing
  • Advantage & Disadvantage
Open In App
Next Article:
Find just strictly greater element from first array for each element in second array
Next article icon

Find elements which are present in first array and not in second

Last Updated : 20 Sep, 2023
Comments
Improve
Suggest changes
Like Article
Like
Report
Try it on GfG Practice
redirect icon

Given two arrays, the task is that we find numbers which are present in first array, but not present in the second array. 

Examples : 

Input : a[] = {1, 2, 3, 4, 5, 10};
b[] = {2, 3, 1, 0, 5};
Output : 4 10
4 and 10 are present in first array, but
not in second array.
Input : a[] = {4, 3, 5, 9, 11};
b[] = {4, 9, 3, 11, 10};
Output : 5

Recommended Practice
Find missing in second array
Try It!

Method 1 (Simple): A Naive Approach is to use two loops and check element which not present in second array.

Implementation:

C++




// C++ simple program to
// find elements which are
// not present in second array
#include<bits/stdc++.h>
using namespace std;
 
// Function for finding
// elements which are there
// in a[]  but not in b[].
void findMissing(int a[], int b[],
                 int n, int m)
{
    for (int i = 0; i < n; i++)
    {
        int j;
        for (j = 0; j < m; j++)
            if (a[i] == b[j])
                break;
 
        if (j == m)
            cout << a[i] << " ";
    }
}
 
// Driver code
int main()
{
    int a[] = { 1, 2, 6, 3, 4, 5 };
    int b[] = { 2, 4, 3, 1, 0 };
    int n = sizeof(a) / sizeof(a[0]);
    int m = sizeof(b) / sizeof(b[1]);
    findMissing(a, b, n, m);
    return 0;
}
 
 

Java




// Java simple program to
// find elements which are
// not present in second array
class GFG
{
     
    // Function for finding elements
    // which are there in a[] but not
    // in b[].
    static void findMissing(int a[], int b[],
                            int n, int m)
    {
        for (int i = 0; i < n; i++)
        {
            int j;
             
            for (j = 0; j < m; j++)
                if (a[i] == b[j])
                    break;
 
            if (j == m)
                System.out.print(a[i] + " ");
        }
    }
 
    // Driver Code
    public static void main(String[] args)
    {
        int a[] = { 1, 2, 6, 3, 4, 5 };
        int b[] = { 2, 4, 3, 1, 0 };
         
        int n = a.length;
        int m = b.length;
         
        findMissing(a, b, n, m);
    }
}
 
// This code is contributed
// by Anant Agarwal.
 
 

Python 3




# Python 3 simple program to find elements
# which are not present in second array
 
# Function for finding elements which
# are there in a[] but not in b[].
def findMissing(a, b, n, m):
 
    for i in range(n):
        for j in range(m):
            if (a[i] == b[j]):
                break
 
        if (j == m - 1):
            print(a[i], end = " ")
 
# Driver code
if __name__ == "__main__":
     
    a = [ 1, 2, 6, 3, 4, 5 ]
    b = [ 2, 4, 3, 1, 0 ]
    n = len(a)
    m = len(b)
    findMissing(a, b, n, m)
 
# This code is contributed
# by ChitraNayal
 
 

C#




// C# simple program to find elements
// which are not present in second array
using System;
 
class GFG {
     
    // Function for finding elements
    // which are there in a[] but not
    // in b[].
    static void findMissing(int []a, int []b,
                            int n, int m)
    {
        for (int i = 0; i < n; i++)
        {
            int j;
             
            for (j = 0; j < m; j++)
                if (a[i] == b[j])
                    break;
 
            if (j == m)
                Console.Write(a[i] + " ");
        }
    }
 
    // Driver code
    public static void Main()
    {
        int []a = {1, 2, 6, 3, 4, 5};
        int []b = {2, 4, 3, 1, 0};
         
        int n = a.Length;
        int m = b.Length;
         
        findMissing(a, b, n, m);
    }
}
 
// This code is contributed by vt_m.
 
 

Javascript




<script>
 
// Javascript simple program to
// find elements which are
// not present in second array
     
    // Function for finding elements
    // which are there in a[] but not
    // in b[].
    function findMissing(a,b,n,m)
    {
        for (let i = 0; i < n; i++)
        {
            let j;
               
            for (j = 0; j < m; j++)
                if (a[i] == b[j])
                    break;
   
            if (j == m)
                document.write(a[i] + " ");
        }
    }
     
    // Driver Code
    let a=[ 1, 2, 6, 3, 4, 5 ];
    let b=[2, 4, 3, 1, 0];
    let n = a.length;
    let m = b.length;
    findMissing(a, b, n, m);
     
     
    // This code is contributed by avanitrachhadiya2155
     
</script>
 
 

PHP




<?php
// PHP simple program to find
// elements which are not
// present in second array
 
// Function for finding
// elements which are there
// in a[] but not in b[].
function findMissing( $a, $b, $n, $m)
{
    for ( $i = 0; $i < $n; $i++)
    {
        $j;
        for ($j = 0; $j < $m; $j++)
            if ($a[$i] == $b[$j])
                break;
 
        if ($j == $m)
            echo $a[$i] , " ";
    }
}
 
// Driver code
$a = array( 1, 2, 6, 3, 4, 5 );
$b = array( 2, 4, 3, 1, 0 );
$n = count($a);
$m = count($b);
findMissing($a, $b, $n, $m);
 
// This code is contributed by anuj_67.
?>
 
 
Output
6 5     

Time complexity: O(n*m) since using inner and outer loops
Auxiliary Space : O(1)

Method 2 (Use Hashing): In this method, we store all elements of second array in a hash table (unordered_set). One by one check all elements of first array and print all those elements which are not present in the hash table.

Implementation:

C++




// C++ efficient program to
// find elements which are not
// present in second array
#include<bits/stdc++.h>
using namespace std;
 
// Function for finding
// elements which are there
// in a[] but not in b[].
void findMissing(int a[], int b[],
                int n, int m)
{
    // Store all elements of
    // second array in a hash table
    unordered_set <int> s;
    for (int i = 0; i < m; i++)
        s.insert(b[i]);
 
    // Print all elements of
    // first array that are not
    // present in hash table
    for (int i = 0; i < n; i++)
        if (s.find(a[i]) == s.end())
            cout << a[i] << " ";
}
 
// Driver code
int main()
{
    int a[] = { 1, 2, 6, 3, 4, 5 };
    int b[] = { 2, 4, 3, 1, 0 };
    int n = sizeof(a) / sizeof(a[0]);
    int m = sizeof(b) / sizeof(b[1]);
    findMissing(a, b, n, m);
    return 0;
}
 
 

Java




// Java efficient program to find elements
// which are not present in second array
import java.util.HashSet;
import java.util.Set;
 
public class GfG{
 
    // Function for finding elements which
    // are there in a[] but not in b[].
    static void findMissing(int a[], int b[],
                    int n, int m)
    {
        // Store all elements of
        // second array in a hash table
        HashSet<Integer> s = new HashSet<>();
        for (int i = 0; i < m; i++)
            s.add(b[i]);
         
        // Print all elements of first array
        // that are not present in hash table
        for (int i = 0; i < n; i++)
            if (!s.contains(a[i]))
                System.out.print(a[i] + " ");
    }
 
    public static void main(String []args){
         
        int a[] = { 1, 2, 6, 3, 4, 5 };
        int b[] = { 2, 4, 3, 1, 0 };
        int n = a.length;
        int m = b.length;
        findMissing(a, b, n, m);
    }
}
     
// This code is contributed by Rituraj Jain
 
 

Python3




# Python3 efficient program to find elements
# which are not present in second array
 
# Function for finding elements which
# are there in a[] but not in b[].
def findMissing(a, b, n, m):
     
    # Store all elements of second
    # array in a hash table
    s = dict()
    for i in range(m):
        s[b[i]] = 1
 
    # Print all elements of first array
    # that are not present in hash table
    for i in range(n):
        if a[i] not in s.keys():
            print(a[i], end = " ")
 
# Driver code
a = [ 1, 2, 6, 3, 4, 5 ]
b = [ 2, 4, 3, 1, 0 ]
n = len(a)
m = len(b)
findMissing(a, b, n, m)
 
# This code is contributed by mohit kumar
 
 

C#




// C# efficient program to find elements
// which are not present in second array
using System;
using System.Collections.Generic;
 
class GfG
{
 
    // Function for finding elements which
    // are there in a[] but not in b[].
    static void findMissing(int []a, int []b,
                    int n, int m)
    {
        // Store all elements of
        // second array in a hash table
        HashSet<int> s = new HashSet<int>();
        for (int i = 0; i < m; i++)
            s.Add(b[i]);
         
        // Print all elements of first array
        // that are not present in hash table
        for (int i = 0; i < n; i++)
            if (!s.Contains(a[i]))
                Console.Write(a[i] + " ");
    }
 
    // Driver code
    public static void Main(String []args)
    {
        int []a = { 1, 2, 6, 3, 4, 5 };
        int []b = { 2, 4, 3, 1, 0 };
        int n = a.Length;
        int m = b.Length;
        findMissing(a, b, n, m);
    }
}
 
/* This code contributed by PrinciRaj1992 */
 
 

Javascript




<script>
// Javascript efficient program to find elements
// which are not present in second array
     
     
     // Function for finding elements which
    // are there in a[] but not in b[].
    function findMissing(a,b,n,m)
    {
        // Store all elements of
        // second array in a hash table
        let s = new Set();
        for (let i = 0; i < m; i++)
            s.add(b[i]);
          
        // Print all elements of first array
        // that are not present in hash table
        for (let i = 0; i < n; i++)
            if (!s.has(a[i]))
                document.write(a[i] + " ");
    }
     
    let a=[1, 2, 6, 3, 4, 5 ];
    let b=[2, 4, 3, 1, 0];
    let n = a.length;
    let m = b.length;
    findMissing(a, b, n, m);
     
 
// This code is contributed by patel2127
</script>
 
 
Output
6 5     

Time complexity : O(n+m) 
Auxiliary Space : O(n)

 

Approach 3: Recursion

Algorithm:

  1. “findMissing” function takes four parameters, array “a” of size “n” and array “b” of size “m”. 
  2. Base case : If n==0 ,  then there are no more elements left to check, so return from the function.
  3. Recursive case : Check if the first element of array “a” is present in array “b”.  For this, use a for loop and iterate over all elements of array “b”.
  4. If first element of array “a” is not in array “b”, print it.
  5. Recursively call the “findMissing” function with the remaining elements of array “a” and array “b”. For this, increment the pointer of array “a” and decrease it’s size “n” by 1.
  6. Call the recursive function “findMissing” in main() with array “a” and array “b”, and their respective sizes “n” and “m”.

Here’s the implementation:

C++




#include <iostream>
using namespace std;
 
void findMissing(int a[], int b[], int n, int m) {
    // Base case: if n is zero, then there are no more elements to check
    if (n == 0) {
        return;
    }
     
    // Recursive case: check if the first element of a[] is in b[]
    int i;
    for (i = 0; i < m; i++) {
        if (a[0] == b[i]) {
            break;
        }
    }
     
    // If the first element of a[] is not in b[], print it
    if (i == m) {
        cout << a[0] << " ";
    }
     
    // Recursively call findMissing with the remaining elements of a[] and b[]
    findMissing(a+1, b, n-1, m);
}
 
int main() {
    int a[] = { 1, 2, 6, 3, 4, 5 };
    int b[] = { 2, 4, 3, 1, 0 };
    int n = sizeof(a) / sizeof(a[0]);
    int m = sizeof(b) / sizeof(b[1]);
     
    
    findMissing(a, b, n, m);
    cout << endl;
     
    return 0;
}
 
// This code is contributed by Vaibhav Saroj
 
 

C




#include <stdio.h>
 
void findMissing(int a[], int b[], int n, int m) {
    // Base case: if n is zero, then there are no more elements to check
    if (n == 0) {
        return;
    }
     
    // Recursive case: check if the first element of a[] is in b[]
    int i;
    for (i = 0; i < m; i++) {
        if (a[0] == b[i]) {
            break;
        }
    }
     
    // If the first element of a[] is not in b[], print it
    if (i == m) {
        printf("%d ", a[0]);
    }
     
    // Recursively call findMissing with the remaining elements of a[] and b[]
    findMissing(a+1, b, n-1, m);
}
 
int main() {
    int a[] = { 1, 2, 6, 3, 4, 5 };
    int b[] = { 2, 4, 3, 1, 0 };
    int n = sizeof(a) / sizeof(a[0]);
    int m = sizeof(b) / sizeof(b[0]);
     
    findMissing(a, b, n, m);
    printf("\n");
     
    return 0;
}
 
 
 
// This code is contributed by Vaibhav Saroj
 
 

Java




import java.util.*;
 
class Main {
    public static void findMissing(int[] a, int[] b, int n, int m) {
        // Base case: if n is zero, then there are no more elements to check
        if (n == 0) {
            return;
        }
 
        // Recursive case: check if the first element of a[] is in b[]
        int i;
        for (i = 0; i < m; i++) {
            if (a[0] == b[i]) {
                break;
            }
        }
 
        // If the first element of a[] is not in b[], print it
        if (i == m) {
            System.out.print(a[0] + " ");
        }
 
        // Recursively call findMissing with the remaining elements of a[] and b[]
        findMissing(Arrays.copyOfRange(a, 1, n), b, n-1, m);
    }
 
    public static void main(String[] args) {
        int[] a = { 1, 2, 6, 3, 4, 5 };
        int[] b = { 2, 4, 3, 1, 0 };
        int n = a.length;
        int m = b.length;
 
        findMissing(a, b, n, m);
        System.out.println();
    }
}
 
 
 
// This code is contributed by Vaibhav Saroj
 
 

Python3




# code
def find_missing(a, b, n, m):
    # Base case: if n is zero, then there are no more elements to check
    if n == 0:
        return
 
    # Recursive case: check if the first element of a[] is in b[]
    i = 0
    while i < m:
        if a[0] == b[i]:
            break
        i += 1
 
    # If the first element of a[] is not in b[], print it
    if i == m:
        print(a[0], end=" ")
 
    # Recursively call find_missing with the remaining elements of a[] and b[]
    find_missing(a[1:], b, n - 1, m)
 
def main():
    a = [1, 2, 6, 3, 4, 5]
    b = [2, 4, 3, 1, 0]
    n = len(a)
    m = len(b)
 
    find_missing(a, b, n, m)
    print()
 
if __name__ == "__main__":
    main()
 
 
#This code is contributed by aeroabrar_31
 
 

C#




using System;
 
public class Program
{
    public static void FindMissing(int[] a, int[] b, int n, int m)
    {
        // Base case: if n is zero, then there are no more elements to check
        if (n == 0)
        {
            return;
        }
 
        // Recursive case: check if the first element of a[] is in b[]
        int i;
        for (i = 0; i < m; i++)
        {
            if (a[0] == b[i])
            {
                break;
            }
        }
 
        // If the first element of a[] is not in b[], print it
        if (i == m)
        {
            Console.Write(a[0] + " ");
        }
 
        // Recursively call FindMissing with the remaining elements of a[] and b[]
        FindMissing(new ArraySegment<int>(a, 1, n - 1).ToArray(), b, n - 1, m);
    }
 
    public static void Main(string[] args)
    {
        int[] a = { 1, 2, 6, 3, 4, 5 };
        int[] b = { 2, 4, 3, 1, 0 };
        int n = a.Length;
        int m = b.Length;
 
        FindMissing(a, b, n, m);
        Console.WriteLine();
    }
}
//This code is contributed by aeroabrar_31
 
 

Javascript




function findMissing(a, b, n, m) {
  // Base case: if n is zero, then there are no more elements to check
  if (n === 0) {
    return;
  }
 
  // Recursive case: check if the first element of a[] is in b[]
  let i;
  for (i = 0; i < m; i++) {
    if (a[0] === b[i]) {
      break;
    }
  }
 
  // If the first element of a[] is not in b[], print it
  if (i === m) {
    console.log(a[0] + " ");
  }
 
  // Recursively call findMissing with the remaining elements of a[] and b[]
  findMissing(a.slice(1), b, n - 1, m);
}
 
const a = [1, 2, 6, 3, 4, 5];
const b = [2, 4, 3, 1, 0];
const n = a.length;
const m = b.length;
 
findMissing(a, b, n, m);
console.log(); // add a newline at the end
 
// This code is contributed by Vaibhav Saroj
 
 
Output
6 5     

This Recursive approach and code is contributed by Vaibhav Saroj .

The time and space complexity:

 Time complexity :  O(nm) .

 Space complexity :  O(1) .



Next Article
Find just strictly greater element from first array for each element in second array

D

DANISH_RAZA
Improve
Article Tags :
  • Arrays
  • DSA
  • Hash
  • Accolite
  • Snapdeal
  • Zoho
Practice Tags :
  • Accolite
  • Snapdeal
  • Zoho
  • Arrays
  • Hash

Similar Reads

  • Count elements present in first array but not in second
    Given two arrays (which may or may not be sorted) of sizes M and N respectively. Their arrays are such that they might have some common elements in them. You need to count the number of elements whose occurrences are more in the first array than second. Examples: Input : arr1[] = {41, 43, 45, 50}, M
    6 min read
  • Find index of an extra element present in one sorted array
    Given two sorted arrays. There is only 1 difference between the arrays. The first array has one element extra added in between. Find the index of the extra element. Examples: Input: {2, 4, 6, 8, 9, 10, 12}; {2, 4, 6, 8, 10, 12}; Output: 4 Explanation: The first array has an extra element 9. The extr
    15+ min read
  • Find an array B with at least arr[i] elements in B not equal to the B[i]
    Given an array arr[] of size N, the task is to find an array of size N, such that for every ith element of the array arr[], the output array should contain at least arr[i] elements that are not equal to the ith element of the output array. If there exists no such array, then print "Impossible". Exam
    9 min read
  • Find the two repeating elements in a given array
    Given an array arr[] of N+2 elements. All elements of the array are in the range of 1 to N. And all elements occur once except two numbers which occur twice. Find the two repeating numbers. Examples: Input: arr = [4, 2, 4, 5, 2, 3, 1], N = 5Output: 4 2Explanation: The above array has n + 2 = 7 eleme
    15+ min read
  • Find just strictly greater element from first array for each element in second array
    Given two arrays A[] and B[] containing N elements, the task is to find, for every element in the array B[], the element which is just strictly greater than that element which is present in the array A[]. If no value is present, then print 'null'. Note: The value from the array A[] can only be used
    10 min read
  • Find all numbers in range [1, N] that are not present in given Array
    Given an array arr[] of size N, where arr[i] is natural numbers less than or equal to N, the task is to find all the numbers in the range [1, N] that are not present in the given array. Examples: Input: arr[ ] = {5, 5, 4, 4, 2}Output: 1 3Explanation: For all numbers in the range [1, 5], 1 and 3 are
    4 min read
  • Find a pair of elements swapping which makes sum of two arrays same
    Given two arrays of integers, find a pair of values (one value from each array) that you can swap to give the two arrays the same sum. Examples: Input: A[] = {4, 1, 2, 1, 1, 2}, B[] = (3, 6, 3, 3) Output: 1 3 Explanation: Sum of elements in A[] = 11 and Sum of elements in B[] = 15. To get same sum f
    15+ min read
  • Find Common Elements in Two Arrays in Python
    Given two arrays arr1[] and arr2[], the task is to find all the common elements among them. Examples: Input: arr1[] = {1, 2, 3, 4, 5}, arr2[] = {3, 4, 5, 6, 7}Output: 3 4 5Explanation: 3, 4 and 5 are common to both the arrays. Input: arr1: {2, 4, 0, 5, 8}, arr2: {0, 1, 2, 3, 4}Output: 0 2 4Explanati
    8 min read
  • Find extra element in the second array
    Given two arrays A[] and B[]. The second array B[] contains all the elements of A[] except for 1 extra element. The task is to find that extra element.Examples: Input: A[] = { 1, 2, 3 }, B[] = {1, 2, 3, 4} Output: 4 Element 4 is not present in arrayInput: A[] = {10, 15, 5}, B[] = {10, 100, 15, 5} Ou
    10 min read
  • Choose two elements from the given array such that their sum is not present in any of the arrays
    Given two arrays A[] and B[], the task is to choose two elements X and Y such that X belongs to A[] and Y belongs to B[] and (X + Y) must not be present in any of the array.Examples: Input: A[] = {3, 2, 2}, B[] = {1, 5, 7, 7, 9} Output: 3 9 3 + 9 = 12 and 12 is not present in any of the given arrays
    5 min read
geeksforgeeks-footer-logo
Corporate & Communications Address:
A-143, 7th Floor, Sovereign Corporate Tower, Sector- 136, Noida, Uttar Pradesh (201305)
Registered Address:
K 061, Tower K, Gulshan Vivante Apartment, Sector 137, Noida, Gautam Buddh Nagar, Uttar Pradesh, 201305
GFG App on Play Store GFG App on App Store
Advertise with us
  • Company
  • About Us
  • Legal
  • Privacy Policy
  • In Media
  • Contact Us
  • Advertise with us
  • GFG Corporate Solution
  • Placement Training Program
  • Languages
  • Python
  • Java
  • C++
  • PHP
  • GoLang
  • SQL
  • R Language
  • Android Tutorial
  • Tutorials Archive
  • DSA
  • Data Structures
  • Algorithms
  • DSA for Beginners
  • Basic DSA Problems
  • DSA Roadmap
  • Top 100 DSA Interview Problems
  • DSA Roadmap by Sandeep Jain
  • All Cheat Sheets
  • Data Science & ML
  • Data Science With Python
  • Data Science For Beginner
  • Machine Learning
  • ML Maths
  • Data Visualisation
  • Pandas
  • NumPy
  • NLP
  • Deep Learning
  • Web Technologies
  • HTML
  • CSS
  • JavaScript
  • TypeScript
  • ReactJS
  • NextJS
  • Bootstrap
  • Web Design
  • Python Tutorial
  • Python Programming Examples
  • Python Projects
  • Python Tkinter
  • Python Web Scraping
  • OpenCV Tutorial
  • Python Interview Question
  • Django
  • Computer Science
  • Operating Systems
  • Computer Network
  • Database Management System
  • Software Engineering
  • Digital Logic Design
  • Engineering Maths
  • Software Development
  • Software Testing
  • DevOps
  • Git
  • Linux
  • AWS
  • Docker
  • Kubernetes
  • Azure
  • GCP
  • DevOps Roadmap
  • System Design
  • High Level Design
  • Low Level Design
  • UML Diagrams
  • Interview Guide
  • Design Patterns
  • OOAD
  • System Design Bootcamp
  • Interview Questions
  • Inteview Preparation
  • Competitive Programming
  • Top DS or Algo for CP
  • Company-Wise Recruitment Process
  • Company-Wise Preparation
  • Aptitude Preparation
  • Puzzles
  • School Subjects
  • Mathematics
  • Physics
  • Chemistry
  • Biology
  • Social Science
  • English Grammar
  • Commerce
  • World GK
  • GeeksforGeeks Videos
  • DSA
  • Python
  • Java
  • C++
  • Web Development
  • Data Science
  • CS Subjects
@GeeksforGeeks, Sanchhaya Education Private Limited, All rights reserved
We use cookies to ensure you have the best browsing experience on our website. By using our site, you acknowledge that you have read and understood our Cookie Policy & Privacy Policy
Lightbox
Improvement
Suggest Changes
Help us improve. Share your suggestions to enhance the article. Contribute your expertise and make a difference in the GeeksforGeeks portal.
geeksforgeeks-suggest-icon
Create Improvement
Enhance the article with your expertise. Contribute to the GeeksforGeeks community and help create better learning resources for all.
geeksforgeeks-improvement-icon
Suggest Changes
min 4 words, max Words Limit:1000

Thank You!

Your suggestions are valuable to us.

What kind of Experience do you want to share?

Interview Experiences
Admission Experiences
Career Journeys
Work Experiences
Campus Experiences
Competitive Exam Experiences